<?php
$welcome_message = "- Welcome to the Clever Copy install Wizard<br>Ok ... Let's get Clever Copy set up on your server.";
$welcome_messagetwo = "<br><br>As we go through the setup process, I'll guide you through it step by step and tell you about any problems.<br>If any error messages are generated during setup, they will be displayed under my image so remember to look there.<br>I will also show you your current status and progress as we go.<br><br>Now then - be advised that if you continue with this and you have already installed Clever Copy<br>I will wipe out any exisiting data you have in your database!<br><br>If you're ready to continue click 'Next' otherwise just close this window.";
$install_wizard = "Clever Copy install wizard";
$dirs_ok = "- If you'll just wait a minute while I have a rummage around and see what I can find out about your server<br>Ah-ha! ... There we go. You have correctly created all the directories you need<br>and the permissions are also set correctly - well done!<br><br>Now we need to define how we are going to connect to your database and find out where you are installing Clever Copy.";
$no_file_label = "Uh-oh! - I was unable to find the file 'clevercopy.tbl'. Please make sure that the file is in the install<br>directory and then refresh your browser.";
$error_is = "The error is -";
$this_means = "Check your username, password, database name and host name in the admin/connect.inc file<br>One or more is probably wrong";
$back = "< Back";
$next = "Next >";
$error_status = "Error messages:";
$sql_num_error = "MySQL Error number";
$sql_error = "MySQL Error message";
$this_site = "this site";
$new_window = "(opens in a new window)";
$chmod_errors = "Got chmodding errors? Need to know about chmodding? Check the FAQ's on";
$missing_htaccess = "Missing the .htaccess files?<br><br>The file called .htaccess is one of the most important files in Clever Copy. It stops people hacking your site and it is crucial that this file is in place. There should be two files called '.htaccess' (dot htaccess). One should be uploaded to the top level directory of your install (CC_install_directory/.htaccess) and the other goes in your admin directory (CC_install_directory/admin/.htaccess). Please be absolutely certain these files are in place! Once they are uploaded, refresh your browser to continue.";
$problem_found = "- Hmmm... There seems to be a problem.<br>Please read the error messages and carry out the suggested actions to remedy the problems and then refresh your browser";
$corrupted_error = "Oh my!- There is a problem with the file 'clevercopy.tbl'. I cannot read from the file, perhaps it has become corrupted. Try uploading it again & restarting this install Wizard";
$admin_missing = "admin directory is missing - please create it, chmod it to 777 and upload the files from the admin folder in the distribution zip file";
$admin_items_missing = "admin/items directory is missing - please create it, chmod it to 777 and upload the files from the admin folder in the distribution zip file";
$admin_languages_missing = "admin/languages directory is missing - please create it and upload the files from the admin folder in the distribution zip file";
$banners_missing = "banners directory is missing - please create it and upload the files from the banners folder in the distribution zip file";
$downloads_missing = "downloads directory is missing - please create it and upload the files from the downloads folder in the distribution zip file";
$gallery_missing = "gallery directory is missing - please create it, chmod it to 777 and upload the files from the gallery folder in the distribution zip file";
$gallery_photos_missing = "gallery/photos directory is missing - please create it, chmod it to 777 and upload the files from the gallery/photos folder in the distribution zip file";
$gallery_photos_buttons_missing = "gallery/photos/buttons directory is missing - please create it and upload the files from the gallery/photos/buttons folder in the distribution zip file";
$gallery_photosalbumpics_missing= "gallery/album_pics directory is missing - please create it and upload the files from the gallery/photos/thumb folder in the distribution zip file";
$gallery_photos_thumb_missing = "gallery/photos/thumb directory is missing - please create it and upload the files from the gallery/photos/thumb folder in the distribution zip file";
$images_missing = "images directory is missing - please create it and upload the files from the images folder in the distribution zip file";
$images_admin_missing = "images/admin directory is missing - please create it and upload the files from the images/admin folder in the distribution zip file";
$images_smilies_missing = "images/smilies directory is missing - please create it and upload the files from the images/smilies folder in the distribution zip file";
$languages_missing = "languages directory is missing - please create it and upload the files from the languages folder in the distribution zip file";
$news_missing = "news directory is missing - please create it, chmod it to 777 and upload the files from the news folder in the distribution zip file";
$newspostimages_missing = "newspostimages directory is missing - please create it, chmod it to 777 and upload the files from the news folder in the distribution zip file";
$newsletter_missing = "newsletter directory is missing - please create it and upload the files from the newsletter folder in the distribution zip file";
$personality_missing = "personalities directory is missing - please create it and upload the files from the personalities folder in the distribution zip file";
$poll_missing = "poll directory is missing - please create it and upload the files from the poll folder in the distribution zip file";
$ranpics_missing = "randompics directory is missing - please create it and upload the files from the randompics folder in the distribution zip file";
$ranquotes_missing = "randomquotes directory is missing - please create it and upload the files from the randomquotes folder in the distribution zip file";
$stats_missing = "stats directory is missing - please create it, chmod it to 777 and upload the files from the stats folder in the distribution zip file";
$tag_missing = "tag directory is missing - please create it, chmod it to 777 and upload the files from the tag folder in the distribution zip file";
$tag_smilies_missing = "tag/smilies directory is missing - please create it and upload the files from the tag/smilies folder in the distribution zip file";
$directory_unwrite = "directory is not writeable! You need to chmod it to 777";
$file_unwrite = "file is not writeable! You need to chmod it to 666";
$file_not_found = "File not found";
$status_ok = "Status is OK!";
$status_notok = "Status is NOT OK!";
$install_success = "That's good - I was able to connect to your database and I have installed the tables. Now we can set up your admin account.<br>When you're ready, click 'Next'";
$set_god = "Set God Admin";
$confirm_pass = "Confirm password";
$your_pass = "Your password";
$your_username = "Your username";
$your_email = "Your email address";
$your_friendlyname = "Your friendly name (the name that will appear when you're logged in and against news posts etc)";
$setup_god_admin = "Ok, we're nearly done. Now enter your details below to set the main God admin for this site";
$missing_data_error = "Ah - a problem! Some data appears to have gone missing between clicking the button and<br>trying to add the information. Go back and try again please.<br>When you're ready, click the Back button";
$check_your_passwords = "Oops! - It would seem that the passwords you entered didn't match.<br>Before I can set up your God admin account you'll need to go back and try again.<br>Click the 'Back' button when you're ready";
$check_your_dpasswords = "Oops! - It would seem that the passwords you entered didn't match.<br>Before I can set up your databse connection you'll need to try again.<br>Click the 'Back' button when you're ready";
$pass_no_match = "Passwords don't match";
$post_data_missing = "Missing data";
$missing_pass_data = "Ah! - It seems that there was a bit of a problem. It would appear that you didn't enter a password, I can't set up your account without a password you know.<br>When you're ready, click the 'Back' button and we'll try again.";
$missing_user_data = "Ah! - It seems that there was a bit of a problem. It would appear that you didn't enter a username, I can't set up your account without a username you know.<br>When you're ready, click the 'Back' button and we'll try again.";
$missing_duser_data  = "Ah! - It seems that there was a bit of a problem. It would appear that you didn't enter a username, I can't set up your database connection without a username you know.<br>When you're ready, click the 'Back' button and we'll try again.";
$missing_mail_data = "Ah! - It seems that there was a bit of a problem. It would appear that you didn't enter an email address, I can't set up your account without an email address you know.<br>When you're ready, click the 'Back' button and we'll try again.";
$missing_friendlyname_data = "Ah! - It seems that there was a bit of a problem. It would appear that you didn't enter a friendly name, I can't set up your admin account without this information you know.<br>When you're ready, click the 'Back' button and we'll try again.";
$missing_host_data = "Ah! - It seems that there was a bit of a problem. It would appear that you didn't enter a database host name, I can't set up your connection without this information you know.<br>When you're ready, click the 'Back' button and we'll try again.";
$missing_dbase_data = "Ah! - It seems that there was a bit of a problem. It would appear that you didn't enter a name for your database, I can't set up your connection without this information you know.<br>When you're ready, click the 'Back' button and we'll try again.";
$nowrite_dbase_data = "Uh-oh! - A problem. I couldn't write the file 'connect.inc' to the admin directory.<br>You will have to add this file manually. To do this, copy the text below into a blank file<br>and name it 'connect.inc'. Enter the host, username details etc. Save the file to the admin directory<br>and then click 'Next'. Do NOT click next until you have done this because the next stage is to check that<br>we can connect to the database. Without this file setup will fail!";
$admin_added = "- you have been set up as the God admin account with a password of";
$move_on = "You need to remember these details but let's move on for now and complete the setup .......<br> Click 'Next' when you're ready.";
$unknown_problem = "Unknown error";
$cant_write = "Cannot write the file";
$settings_saved = "The database connection settings were saved successfully and a new file has been<br>written to your admin directory. The next step is to test these settings and make<br>sure that we can connect to your database.<br><br>When you're ready, click 'Next'";
$saved_sets = "Settings saved";
$unknown_problem_data = "On no! - A problem was detected but I don't know what it was. The only solution is to go back and try again<br>When you're ready, click the 'Back' button.";
$site_name = "Your site name (e.g Clever Copy)";
$main_mail = "The site main email address";
$paypal_addy = "Email address for PayPal donations & advertising revenue";
$pp_currency = "Accept PayPal in this currency";
$date_format = "Use this date/time format";
$eur_time_label = "European";
$us_time_label = "US";
$set_prefs = "Now we will set up some of the site preferences. You can edit these again later in the admin panel if you need to";
$no_mail = "Ah! - It seems that there was a bit of a problem. It would appear that you didn't enter an address for the main site email.<br>This address is sure to be needed because it's used whenever the site sends out an automated mail (and it sends plenty of those!)<br>When you're ready, click the 'Back' button and we'll try again.";
$check_your_sitemail = "No main email address";
$check_your_path = "Actual path not detected";
$no_ranpicpath = "Hmmm... it seems that I was unable to detect the actual path to the random pictures for the random pictures block.<br>You can choose to carry on and finish the install but, in order to run the random pictures block,<br>you will need to find the path. You can do this by running the file phpinfo.php which you'll find in the root folder<br>and you can then enter the path via the control panel.<br>";
$no_galranpicpath = "Hmmm... it seems that I was unable to detect the actual path to the random pictures for the gallery random pictures block.<br>You can choose to carry on and finish the install but, in order to run the gallery random pictures block,<br>you will need to find the path. You can do this by running the file phpinfo.php which you'll find in the root folder<br>and you can then enter the path via the control panel.<br>";
$no_sitepath = "Hmmm... it seems that I was unable to detect the actual path of the site.<br>You can choose to carry on and finish the install but, in order to run Clever Copy,<br>you will need to find the path. You can do this by running the file phpinfo.php which you'll find in the root folder<br>and you can then enter the path via the control panel.<br>";
$check_your_address = "Site address not detected";
$no_siteaddress = "Hmmm... it seems that I was unable to detect the url of the site.<br>Don't worry about this now, you can continue and complete the install but you will have to enter the<br>address via the control panel - don't forget to do this now otherwise your site won't work!<br>";
$no_donationpath = "Hmmm... it seems that I was unable to detect the actual path to the image for PayPal donations.<br>You can choose to carry on and finish the install but, in order to accept donations,<br>you will need to find the path. You can do this by running the file phpinfo.php which you'll find in the root folder<br>and you can then enter the path via the control panel.<br>";
$fatal_err = "Fatal error";
$installed = "Just one more step to go!<br>Click next when you're ready";
$install_complete = "Congratulations - Clever Copy has been successfully installed!<br><br>Now you can log in to your admin control panel and make any adjustments. You will need the username and password that you have just created.<br>To log into admin, click the 'Next' button!";
$sitepath_n = "Enter the www address of your site";
$sitepath_exp = "This address should start with http:// and include any subdirectories that Clever Copy is installed into.<br> E.g. http://www.yoursite.com/clevercopy_directory - do not include a trailing slash!<br>";
$hostname = "Enter the hostname";
$localhost_exp = "localhost will usually work but if you don't know the hostname, you'll need to contact your hosts.";
$database_n = "Enter the database name";
$dbase_exp = "the name of your database on the database server.";
$uname = "Enter the username";
$uname_exp = "the username you use to connect to your database";
$pass_w = "Enter the password";
$pass_w_exp = "the password you use to connect to your database";
$con_p = "Confirm the password";
$nopermissions_dbase_data = "Uh-hum! - I'm betting that you already have a file called 'connect.inc' in your admin directory.<br>The problem is that, since this file is already there, I don't have the necessary permissions<br>to write the new information to that file. You will need to go to your admin directory<br>and delete the file called connect.inc and then come back here and refresh your broswer. If the files capturedata.txt and updater.txt also exist, please delete those as well and I'll re-create them when you refresh your browser";
$no_confile_label = "OO-ER! It would appear that there is a problem with the connect.inc file in the admin directory. I couldn't find it!<br>You will need to make sure the file is there before you can continue";
$file_missing = "file is missing! This file is VERY important and prevents malicious people getting access to your database settings. You cannot continue until you have uploaded the file .htaccess to the directory";
?>